function Icurv = curv_p(I,p)

% dx = [ -1  0  1; 
%        -2  0  2 ; 
%        -1  0  1 ]./8;
   
% dy = [ -1 -2 -1 ; 
%         0  0  0 ; 
%         1  2  1 ]./8; 
    
dx = [ -1  0  1]./2;   
dy = [ -1 ; 0 ; 1 ]./2;
 

r = 0.00001;

Ix = imfilter(I,dx,'replicate');
Iy = imfilter(I,dy,'replicate');

Igrad2 = Ix.*Ix + Iy.*Iy;
norm = (Igrad2+r).^(1-p/2)./p;
Icurv = imfilter(Ix./norm,dx,'replicate') + imfilter(Iy./norm,dy,'replicate');
% s = size(I);
% d = ones(s(1),s(2)).*(1/3);
% Icurv = Icurv.^d;

end
