% compute the structure for all the test images
%
% test images are read from ..\images\
% results are saved in ./results
%


clear all
close all
clc



% ----- barbara
disp('barbara');
f = im2double(imread('..\images\barbara_color.png'));

options.method = 'weighted_curv';
options.b = 70;
options.lambda = 290;
options.alpha = 8;

u = struct_cf_admm_ap(f, options);
imwrite(u, './results/cf-ap_barbara_g1_b70_lam290_alpha8.png');

